### Name: interval_overlap
### Title: Assess which query intervals overlap which targets
### Aliases: interval_overlap
###   interval_overlap,Intervals_virtual,Intervals_virtual-method
###   interval_overlap,Intervals_virtual,numeric-method


### ** Examples

# Note that t contains a valid but empty interval.

q <- Intervals(
               matrix(
                      c(
                        2,  8,
                        3,  4,
                        5, 10
                        ),
                      ncol = 2, byrow = TRUE
                      ),
               closed = c( TRUE, FALSE ),
               type = "Z"
               )

t <- Intervals(
               matrix(
                      c(
                         2,  8,
                         8,  9,
                         6,  9,
                        11, 12,
                         3,  3
                        ),
                      ncol = 2, byrow = TRUE
                      ),
               closed = c( TRUE, FALSE ),
               type = "Z"
               )
rownames(t) <- letters[1:nrow(t)]

empty(q)
empty(t)

interval_overlap(t, q)

# Non-empty real intevals of size 0 can overlap other intervals.

u <- q
type(u) <- "R"

v <- Intervals_full( rep(3,4) )
closed(v)[2,] <- FALSE
v
empty(v)
size(v)

interval_overlap(v, u)

# Querying points

interval_overlap( t, c( 2, 3, 6, NA ) )

# Non-integer points dropped for targets over Z

interval_overlap( q, c( 2, 2.5, 3 ) )
interval_overlap( u, c( 2, 2.5, 3 ) )



